Method: projects.locations.networkMonitoringProviders.monitoringPoints.list

Lists MonitoringPoints for a given network monitoring provider.

HTTP request

GET https://networkmanagement.googleapis.com/v1alpha1/{parent=projects/*/locations/*/networkMonitoringProviders/*}/monitoringPoints

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent value for ListMonitoringPointsRequest. Format: projects/{project}/locations/{location}/networkMonitoringProviders/{networkMonitoringProvider}

Authorization requires the following IAM permission on the specified resource parent:

  • networkmanagement.monitoringpoints.list

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of monitoring points to return. The service may return fewer than this value. If unspecified, at most 20 monitoring points will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous monitoringPoints.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to monitoringPoints.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Message for response to listing MonitoringPoints

If successful, the response body contains data with the following structure:

JSON representation
{
  "monitoringPoints": [
    {
      object (MonitoringPoint)
    }
  ],
  "nextPageToken": string
}
Fields
monitoringPoints[]

object (MonitoringPoint)

The list of MonitoringPoints.

nextPageToken

string

A token identifying a page of results the server should return.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.